"use strict";
// Copyright IBM Corp. and LoopBack contributors 2020. All Rights Reserved.
// Node module: @loopback/example-multi-tenancy
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderStrategy = void 0;
const tslib_1 = require("tslib");
const debug_1 = tslib_1.__importDefault(require("debug"));
const base_strategy_1 = require("./base-strategy");
const debug = (0, debug_1.default)('loopback:multi-tenancy:strategy:header');
/**
 * Use `x-tenant-id` http header to identify the tenant id
 */
class HeaderStrategy extends base_strategy_1.BaseStrategy {
    constructor() {
        super(...arguments);
        this.name = 'header';
    }
    identifyTenant(requestContext) {
        const tenantId = requestContext.request.headers['x-tenant-id'];
        debug('x-tenant-id', tenantId);
        return tenantId == null ? undefined : { id: tenantId };
    }
}
exports.HeaderStrategy = HeaderStrategy;
//# sourceMappingURL=header-strategy.js.map